Package org.apache.felix.http.base.internal.registry

## Interface PathResolver

All Superinterfaces:
  `Comparable<PathResolver>`

All Known Implementing Classes:
  `PathResolverFactory.AbstractMatcher`, `PathResolverFactory.DefaultMatcher`, `PathResolverFactory.ExactAndPathMatcher`, `PathResolverFactory.ExactMatcher`, `PathResolverFactory.ExtensionMatcher`, `PathResolverFactory.PathMatcher`, `PathResolverFactory.RegexMatcher`, `PathResolverFactory.RootMatcher`

    public interface PathResolver
    extends Comparable<PathResolver>

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getOrdering()`
`String` `getPattern()`
`int` `getRanking()`
`ServletHandler` `getServletHandler()`
`PathResolution` `resolve​(String uri)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### resolve

    PathResolution resolve​(String uri)

#### getServletHandler

    ServletHandler getServletHandler()

#### getRanking

    int getRanking()

#### getOrdering

    int getOrdering()

#### getPattern

    String getPattern()